<?php
define('PROTECTOR', 1);

$headmod = 'msg';//фикс. места

$textl='Поддержка';
include('files/path.php');
@include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:


if($udata[lvl]<"1"){
echo'В избежании флуда, в поддержку доступно писать с 1 уровня';
include($path.'files/down.php');
exit;
}
$q = mysql_query("SELECT COUNT(*) FROM `msg_ticket` WHERE `user_to` = '$set[admin]' AND `read` = '1';");
$new_mail = mysql_result($q, 0);
$w = mysql_query("SELECT COUNT(*) FROM `msg_ticket` WHERE `user_to` = '$set[admin]'");
$old_mail = mysql_result($w, 0);
echo "<center><b>Поддержка</b></center>";





echo "Выберите раздел соответствующий вашей проблеме. При неверном выборе ваша проблема может остаться нерешенной. Многие вопросы можно решить задав их обычным игрокам в чате/форуме. Вопросы рассматриваются в течение 24 часов.<br/><br/>Вопросы по игре и предложения обсуждаются на форуме.";



echo'<hr>';
echo "<form method=\"post\" action=\"ticket.php?mod=save_info\">";
echo'<select id="select" name="tema" type="select">
<option value="Выбери тему">Выбери тему </option>
<option value="Вопросы об покупке золота">Вопросы об покупке золота </option>
<option value="Ошибки в тексте">Ошибки в тексте </option>
<option value="Ошибки игры (Возможны бонусы)">Ошибки игры (Возможны бонусы) </option>
<option value="Другое">Другое </option>
</select>';
echo "<br/>Содержание:<br/>";
echo "<textarea name=\"text\" rows=3 cols=25 wrap=\"off\"></textarea><br/>";
echo "<input type=\"submit\" value=\"Задать вопрос\" class=\"ibutton\"></form>";
if($udata[prava]>3){ echo'<br/> <a href=?mod=read>Вопросы</a>'; }
break;

case 'save_info':

if ($_POST[text] )
{
if (isset($_POST[text]))
{
$text = htmlspecialchars(stripslashes($_POST[text]));
}


$time = date("H:i d.m.y");
mysql_query("INSERT INTO `msg_ticket` SET `user_from` = '$log', `user_to` = '$set[admin]', `tema` = '".mysql_real_escape_string($_POST['tema'])."', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
echo "Вы успешно отправили cообщение в службу поддержки.<br/>Ответ вы получите в течении 24 часов.<br/> Дата отправления: $time";
}
elseif ($_POST[text] == "" ||  $_POST[text] == null )
{
echo "Вы не ввели текст письма";
}


echo "<br/><br/>» <a href=\"ticket.php?\"> Вернуться</a><br>";


break;

case 'read':
if($udata[prava]<1){
echo'Доступ закрыт!';
include($path.'files/down.php');
exit;
}
echo "<center><b>Поддержка</b></center>";

$result = mysql_result(mysql_query("SELECT COUNT(*) FROM `msg_ticket` WHERE user_to = '$set[admin]'"),0);
if ($result == 0)
{
echo "<b>Служебных сообщений нет!</b><br/>";
}
else {
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 5;
if($_GET[page] == "0")
{$i = 0;}
else{$i = ($_GET[page]*5)+1;}
$viso = mysql_num_rows(mysql_query("SELECT id FROM msg_ticket"));
$puslap = floor($viso/5);
$message = mysql_query("SELECT * FROM msg_ticket WHERE user_to = '$set[admin]'  ORDER BY id DESC LIMIT $num,5");
while($msg = mysql_fetch_array($message))
{
if ($msg[read] == 1)
{
mysql_query("UPDATE `msg_ticket` SET `read` = 0 WHERE `user_to` = '$set[admin]'");
}
if ($msg[read] == 1)
{
$read = "Не прочитано";
} else
{
$read = "Прочитано";
}
$text = $msg[mail_msg];
$tema = $msg[tema];
$text = strip_tags($text);
$from = strip_tags($msg['user_from']);

$nickas = strip_tags($from);
$req = mysql_query("SELECT `storona` FROM `users` WHERE `usr` = '$nickas'");
$pic = mysql_fetch_array($req);

echo "Отправитель:"; echo'  <img src="pic/main/'.$pic['storona'].'.png" alt="#"/>'; echo " <a href=\"search.php?nick=$from&amp;go=go\"> $from</a> [$read]<br/>Время отправления: $msg[time]<br/>Тема: $tema<br/>Содержание: $text
<br/><a href=\"msg.php?user=$from&amp;mod=answer\">Ответить</a> |  <a href=\"ticket.php?iden=$msg[id]&amp;mod=delete_mess\">Удалить сообщение</a><br/>
<br/>";

}
if ($_GET[page] > 0)
{
echo "<a href=\"ticket.php?mod=read&amp;page=$back\">back</a>";
}
elseif ($_GET[page] == 0)
{
echo "back";
}
echo"|";
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"ticket.php?mod=read&amp;page=$next\">next</a><br/>";}
else
{echo "next<br/>";}
}

break;

case 'delete_mess':

if (isset($_GET[iden]))
{
mysql_query("DELETE FROM `msg_ticket` WHERE `id` = '".intval($_GET['iden'])."' LIMIT 1");
mysql_query("OPTIMIZE TABLE `msg_ticket`");

echo "Вы успешно удалили письмо!<br/>";
} else
{
echo "Ошибка!<br/>";
}

echo "<a href=\"ticket.php?mod=read\"> Вернуться</a><br>";
}
include($path.'files/down.php');
?>